Bug 1234538 - Package should not ship a -el sub-package
Summary: Package should not ship a -el sub-package
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: emacs-mew
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: EmacsPackagingViolations
TreeView+ depends on / blocked
 
Reported: 2015-06-22 17:42 UTC by Jonathan Underwood
Modified: 2015-06-23 08:24 UTC (History)
1 user (show)

Fixed In Version: emacs-mew-6.6-5.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-23 07:56:27 UTC


Attachments (Terms of Use)

Description Jonathan Underwood 2015-06-22 17:42:33 UTC
The Emacs add-on packging guidelines no longer stipulate that elisp source files be shipped in a separate sub-package. The -el subpackage should be removed, and the elisp source files should be packaged in the main package. See http://fedoraproject.org/wiki/Packaging:Emacs for more detail, and please take note of the Obsoletes/Provides concern noted there.

Comment 1 Jonathan Underwood 2015-06-23 08:24:52 UTC
Thanks, and sorry for the duplicated report.


Note You need to log in before you can comment on or make changes to this bug.